﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class Default2 : System.Web.UI.Page
{
    bool isExport = false;
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        RadGrid1.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
        RadGrid1.ItemCommand += new GridCommandEventHandler(RadGrid1_ItemCommand);
        RadGrid1.ItemCreated += new GridItemEventHandler(RadGrid1_ItemCreated);
    }

    void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (isExport)
        {
            string ctrlId;
            if (e.Item is GridHeaderItem) ctrlId = "chkHeaderSelection";
            else if (e.Item is GridDataItem) ctrlId = "chkRowSelection";
            else return;
            Control ctrl = e.Item.FindControl(ctrlId);
            (ctrl.Parent as TableCell).Text = (ctrl as CheckBox).Checked.ToString();
        }
    }

    void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName.Contains("Export"))
        {
            isExport = true;
        }
    }

    void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Col1");
        table.Columns.Add("Col2");
        table.Columns.Add("Col3");
        table.Columns.Add("Col4");
        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add(i, i % 2 == 0, i % 3 == 0, i % 4 == 0);
        }
        RadGrid1.DataSource = table;
    }
}